<?
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| THEME: Exingomangus 
+----------------------------------------------------+
| Copyright  2005 Nichelini Giuseppe	
| http://www.nichelini.it/
+----------------------------------------------------*/
// theme settings
$body_text = "#115E94";
$body_bg = "#FFFFFF";
$theme_width = "100%";
$theme_width_l = "180";
$theme_width_r = "180";
if ($settings['locale'] == "Italian") { $mydate = "%A, %d %B %Y"; } else { $mydate = "%A, %B %d, %Y"; }

function render_header($header_content) {
global $theme_width,$settings,$locale,$mydate;

echo "<table align='center' width='$theme_width' cellspacing='0' cellpadding='0'>\n";
echo "<tr><td><table width='100%' cellspacing='0' cellpadding='0'>\n";
echo "<tr><td class='full-header' style='padding:5px;'>".$header_content."</td></tr></table>\n";
echo "<table _width='100%' cellspacing='0' cellpadding='0'>\n";
echo "<tr class='PFTabs'><td valign='top' width='100%'>\n";
echo "<div class='PFTabs'>\n";
$result = dbquery("SELECT * FROM ".DB_PREFIX."site_links WHERE link_position>='2' ORDER BY link_order");
if (dbrows($result) != 0) {
	while($data = dbarray($result)) {
		if (checkgroup($data['link_visibility'])) {
			if ($data['link_url']!="---") {
				$link_target = ($data['link_window'] == "1" ? " target='_blank'" : "");
				if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
					echo "<a href='".$data['link_url']."'".$link_target."><span>".$data['link_name']."</span></a>";
				} else {
					echo "<a href='".BASEDIR.$data['link_url']."'".$link_target."><span>".$data['link_name']."</span></a>";
				}
			}
		}
	}
}
echo "</div></td>\n";
echo "<td valign='middle' align='right' nowrap class='time'>".ucwords(showdate($mydate, time()))."</td>\n";
echo "</tr></table>\n";
tablebreak();
echo "<table width='100%' cellspacing='0' cellpadding='0' align='center'>\n<tr>\n";
}

function render_footer($license=false) {
global $theme_width,$settings,$locale;

$textfooter = $settings['counter']." ".($settings['counter'] == 1 ? $locale['140']."&nbsp; | &nbsp; \n" : $locale['141']."&nbsp; | &nbsp; \n");
if ($license == false) {
   $textfooter .= "Powered by <a target='_blank' href='http://www.php-fusion.co.uk' class='white'><img src='".THEME."images/pf_blue.gif' style='vertical-align:top;' alt='powered by php-fusion' border='0'></a> v".$settings['version']."  2003-2005\n";
   $textfooter .= "&nbsp; | &nbsp; Theme Excingomagus <a target='_blank' href='http://www.nichelini.it' class='white'><img src='".THEME."images/nick56_micro.gif' style='vertical-align:top;' alt='Design by Nick56'  border='0'></a>\n";
}  
echo "</tr>\n</table>\n";
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
echo "<tr><td class='white-header' align='center' width='33%'>".$textfooter."</td>\n";
echo "</tr></table></td></tr></table>\n";
}

function render_news($subject, $news, $info) {
global $locale,$mydate;
	
echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>\n";
echo "<td class='capleft'><img src='".THEME."images/blank.gif' width='2' height='20' alt='' style='display:block'></td>\n";
echo "<td class='capmain'>".$subject."</td>\n";
echo "<td class='capright'><img src='".THEME."images/blank.gif' width='2' height='20' alt='' style='display:block'></td>\n";
echo "</tr></table>\n";
echo "<table width='100%' cellpadding='0' cellspacing='0' class='border'><tr><td>\n";
echo "<table width='100%' cellpadding='0' cellspacing='0'><tr><td class='body'>".$news."</td></tr></table>\n";
echo "<table width='100%' cellpadding='0' cellspacing='0'><br><br>\n";
echo "<tr><td align='left' class='news-footer'>";
echo $locale['040']."<a href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']." </a> ".$locale['041'].showdate($mydate, $info['news_date'])." <br>";
echo $locale['248']."[<font class='blue'>".$info['news_reads'].$locale['044']."</font>]";
echo "</td><td align='right' class='news-footer'>".($info['news_ext'] == "y" ? "<a href='news.php?readmore=".$info['news_id']."'><img src='".THEME."images/readmore.gif' title='".$locale['249']."' border='0'></a> " : "")."";
echo "<a href='news.php?readmore=".$info['news_id']."'><img src='".THEME."images/postacomment.gif' title='".$locale['250']."' border='0'></a> ";
echo "<a href='print.php?type=N&item_id=".$info['news_id']."'><img src='".THEME."images/print.gif' title='".$locale['251']."' border='0'></a></div>";
echo "</td></tr></table>";
echo "</td></tr></table>\n";
}

function render_article($subject, $article, $info) {
global $locale,$mydate;
	
echo "<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='capleft'><img src='".THEME."images/blank.gif' width='8' height='20' alt='' style='display:block'></td>
<td class='capmain'>$subject</td>
<td class='capright'><img src='".THEME."images/blank.gif' width='8' height='20' alt='' style='display:block'></td>
</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0' class='border'>
<tr>
<td>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='body'>\n";
if ($info[4] == "y") { echo nl2br($article); } else { echo $article; }
echo "</td>
</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='news-footer'>".$locale['040']."<a href='profile.php?lookup=$info[1]'>$info[2]</a>".$locale['041']."$info[3]</td>
<td align='right' class='news-footer'>\n";
if ($info[0] != "0") {
	echo "<a href='articlecomments.php?article_id=$info[0]'>$info[5]".$locale['043']."</a> |\n";
} else {
	echo "$info[5]".$locale['043']." | ";
}
echo "$info[6]".$locale['044']." | <a href='printer.php?type=A&item_id=$info[0]'>".$locale['045']."</a>
</td></tr></table></td></tr></table>\n";
}

// open the table
function opentable($title) {
echo "<table width='98%' cellpadding='0' cellspacing='0' align='center'>
<tr><td class='capleft'><img src='".THEME."images/blank.gif' width='2' height='20' alt='' style='display:block'></td>
<td class='capmain'>$title</td>
<td class='capright'><img src='".THEME."images/blank.gif' width='2' height='20' alt='' style='display:block'></td>
</tr></table>
<table width='98%' cellpadding='0' cellspacing='0' class='border' align='center'>
<tr><td class='body'>\n";
}
// close the table
function closetable() {
echo "</td></tr></table>\n";
}

function openside($title) {
echo "<table width='98%' cellpadding='0' cellspacing='0' class='border' >
<tr><td class='scapmain'>$title</td></tr>
<td class='sbody'>\n";
}

function closeside() {
echo "</td></tr></table>\n";
tablebreak();
}

function opensidex($title,$open="on") {

if($open=="on"){$box_img="off";}else{$box_img="on";}
echo "<table width='98%' cellpadding='0' cellspacing='0'>
<tr><td class='scapmain'>$title</td>
<td class='scapmain' align='right'>
<img onclick=\"javascript:flipBox('$title')\" name='b_$title' border='0' src='".THEME."images/panel_$box_img.gif'>
</td></tr></table>
<table width='98%' cellpadding='0' cellspacing='0' class='border'>
<tr><td class='sbody'>
<div id='box_$title'"; if($open=="off"){ echo "style='display:none'"; } echo ">\n";

}

function closesidex() {
echo "</div></td></tr></table>\n";
}


// table functions
function tablebreak() {
echo "<table width='100%' cellspacing='0' cellpadding='0'>
<tr><td height='8'></td></tr>
</table>\n";
}
?>